#ifndef HWOS_TEST_H
#define HWOS_TEST_H


#define TEST_HSQUEUE_SIZE 40
#define TEST_HQUEUE_SIZE 40
#define TEST_HMQUEUE_SIZE 40
#define TEST_HSQLIST_SIZE 40
#define TEST_HDEV_SIZE 40

#include "../platform_defines.h"
#if SUZAKU_BUILD
        #define TEST_LOG_HPROCESS "/var/test_hprocess.log"
        #define TEST_LOG_HPLACER "/var/test_hplacer.log"
        #define TEST_LOG_HSQUEUE "/var/test_hsqueue.log"
        #define TEST_LOG_HQUEUE "/var/test_hqueue.log"
        #define TEST_LOG_HMQUEUE "/var/test_hmqueue.log"
        #define TEST_LOG_HSQLIST "/var/test_hsqlist.log"
        #define TEST_LOG_HWOS_DAEMON "/var/test_hwos_daemon.log"
        #define TEST_LOG_HDEV "/var/test_hdev.log"
        #define TEST_LOG_HICAP "/var/test_hicap.log"
        #define TEST_LOG_HVMEM "/var/test_hvmem.log"
        #define DAEMON_CLIENT_LOG "/var/hwos_testclient.log"
#else
        #define TEST_LOG_HPROCESS "../logs/test_hprocess.log"
        #define TEST_LOG_HPLACER "../logs/test_hplacer.log"
        #define TEST_LOG_HSQUEUE "../logs/test_hsqueue.log"
        #define TEST_LOG_HQUEUE "../logs/test_hqueue.log"
        #define TEST_LOG_HMQUEUE "../logs/test_hmqueue.log"
        #define TEST_LOG_HSQLIST "../logs/test_hsqlist.log"
        #define TEST_LOG_HWOS_DAEMON "../logs/test_hwos_daemon.log"
        #define TEST_LOG_HDEV "../logs/test_hdev.log"
        #define TEST_LOG_HICAP "../logs/test_hicap.log"
        #define TEST_LOG_HVMEM "../logs/test_hvmem.log"
        #define DAEMON_CLIENT_LOG "../logs/hwos_testclient.log"
#endif


int test_hsqueue (void);
int test_hqueue (void);
int test_hmqueue (void);
int test_hprocess (void);
int test_hsqlist (void);
int test_hwos_daemon(void);
int test_hplacer(void);
int test_hicap (void);
int test_hvmem (void);
int test_hlist (void);
int test_dev (void);

#endif

