-------------------------------------------------------------------------------
--
-- Title       : adder
-- Design      : sequential_multiplier
-- Author      : Vegard
-- Company     : NTNU
-- Description : 1-bit full adder
-------------------------------------------------------------------------------
library ieee;
use IEEE.std_logic_1164.all;

entity adder is
	port(
		a_i : in std_logic;
		b_i : in std_logic;
		c_i : in std_logic;
		s_o : out std_logic 
	);
end entity adder ; 
	
architecture add of adder is
begin 
	s_o <= (a_i xor b_i) xor c_i ;
end architecture add;