-------------------------------------------------------------------------------
--
-- Title       : decoder_custom
-- Design      : sequential_multiplier
-- Author      : Vegard
-- Company     : NTNU
-- Description : Decoder for addressing in reconfigurable module.
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.all;
entity decoder_custom is
	port(
		 addr			: in  std_logic;
		output			: out std_logic_vector(1 downto 0)
	);
end decoder_custom;

architecture RTL of decoder_custom is
begin
DECODE_PROC : process(addr) is 
begin
	case addr is
		when '0' =>
			output <= "01";
		when '1' =>
			output <= "10";
		when others =>
			output <= (others => '0');
	end case;
end process DECODE_PROC;

end architecture RTL;
